{
    attributes = (
        {
            columnName = "C_PERIODE_MILITAIRE"; 
            externalType = VARCHAR2; 
            name = cPeriodeMilitaire; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = "D_DEB_PERIODE_MILIT"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_PERIODE_MILIT"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PMIL_ORDRE"; 
            externalType = NUMBER; 
            name = periodeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cPeriodeMilitaire, noDossierPers, periodeOrdre, temValide); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EOPeriodesMilitaires"; 
    classProperties = (
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        temValide, 
        toIndividu, 
        toTypePeriodeMilit
    ); 
    externalName = "MANGUE.PERIODES_MILITAIRES"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (dateDebut, dateFin, temValide); }; 
    name = "Fwkgrh_PeriodesMilitaires"; 
    primaryKeyAttributes = (periodeOrdre); 
    relationships = (
        {
            destination = "Fwkpers_Individu"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = toIndividu; 
        }, 
        {
            destination = "Fwkpers_TypePeriodeMilit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = cPeriodeMilitaire; 
                    sourceAttribute = cPeriodeMilitaire; 
                }
            ); 
            name = toTypePeriodeMilit; 
        }
    ); 
}
